List transfers between yards
GET
/stock/transfers
const url = 'https://example.com/stock/transfers?open=true';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/stock/transfers?open=true' \ --cookie bottle.session_token=<bottle.session_token>Newest first. open=true for the ones still on their way: planned, awaiting collection or in transit.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”open
string
waitingOn
string format: date
ids
string
Responses
Section titled “Responses”Transfers
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
fromLocationId
required
UUID v7
string format: uuid
fromName
required
string
toLocationId
required
UUID v7
string format: uuid
toName
required
string
method
required
string
status
required
string
roundId
required
UUID v7
string | null format: uuid
plannedFor
string | null format: date
proofs
Array<object>
object
leg
required
string
kind
required
string
signedBy
required
string | null
url
required
string
createdAt
required
string format: date-time
round
object
id
required
UUID v7
string format: uuid
roundDate
required
string format: date
vehicleName
required
string | null
driverName
required
string | null
carrierName
required
string | null
carrierReference
required
string | null
note
required
string | null
lines
required
Array<object>
object
productId
required
UUID v7
string format: uuid
productName
required
string
condition
required
string
quantity
required
integer
history
required
Array<object>
object
status
required
string
at
required
string format: date-time
byName
required
string | null
createdByName
required
string | null
createdAt
required
string format: date-time
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "fromLocationId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "toLocationId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "method": "recorded", "status": "planned", "roundId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "proofs": [ { "leg": "collection", "kind": "signature" } ], "round": { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" }, "lines": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "condition": "full" } ], "history": [ { "status": "planned" } ] } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}